Subject: Re: bug#49219: Acknowledgement ([PATCH]: Update emacs-telega.)

From: Leo Prikler <[email-masked]>
Date: Fri, 25 Jun 2021 12:46:51 +0200

Am Freitag, den 25.06.2021, 17:31 +0800 schrieb Zhu Zihao:
> Leo Prikler writes:
> 
> > Am Freitag, den 25.06.2021, 14:02 +0800 schrieb Zhu Zihao:
> > > Update patches:
> > W.r.t. the propagation of ffmpeg and libwebp I don't think we'd
> > want to
> > force either onto the user (particularly ffmpeg might collide with
> > a
> > different version they've already installed).  If finding and
> > replacing
> > all instances of "ffmpeg" with its full path is too broad, perhaps
> > you
> > could add procedures that find it or replace instances of ffmpeg as
> > a
> > binary with @ffmpeg@.  I think a variable or procedure called
> > telega-
> > ffmpeg-command might even be acceptable by upstream and broader
> > Emacs
> > standards.
> > If on the other hand you want the user's versions of those packages
> > to
> > be the one that's used, simply don't propagate it.
> > 
> > Regards,
> > Leo
> 
> Good, I think I can just remove ffmpeg and libwebp, leave the choice
> to
> user.
> 
> Another question is, the new version is 0.7.024, which is lesser than
> 0.7.1. could you give me some suggestions on the version number?
Tough questions, you might want to ask upstream what their rationale is
on the leading 0 and whether they plan to use a version 24 that
supersedes it.  Given that the switch happened between 0.7.15 and
0.7.016, you might look there for indicators, but I'm also somewhat
tempted to just drop that 0.

Regards,
Leo